收藏
回答

10-27更新的开发者工具没有去掉使用新的编译模块的选项?

版本:微信开发者工具 1.03.2010240 Stable

描述:因为使用了框架编译,勾选使用新的编译模块会报组件路径错误,更新新版本后,发现默认开启了使用新的编译模块,没有找到去掉的按钮,编译报错,只能返回旧版本


回答关注问题邀请回答
收藏

5 个回答

  • Can🌴
    Can🌴
    2020-11-12

    所以组件路径错误是真的错误还是误报?

    2020-11-12
    有用
    回复
  • John von Neumann
    John von Neumann
    2020-11-12

    麻烦提供能复现问题的简单代码片段(https://developers.weixin.qq.com/miniprogram/dev/devtools/minicode.html),我们看看具体错误原因?

    2020-11-12
    有用
    回复
  • 久夏微凉
    久夏微凉
    01-14

    检查了所有组件的引入路径,发现有一个组件引入错了,现在全部改成绝对路径,新版本可以正常使用了。

    01-14
    有用
    回复
  • 龙虾狂魔
    龙虾狂魔
    01-12

    2021-01-08号更新到新版开发工具后遇到了相同的问题,确实是之前的组件路径写错了,手动改过来后可以跑了;之前的相对路径是按照微信开发工具的提示引入的,感觉再一次被坑,后面全部用从代码包根目录开始的绝对路径吧

    01-12
    有用
    回复
  • 钟 楞 楞
    钟 楞 楞
    2020-11-16

    遇到同样的问题,你是如何解决的

    2020-11-16
    有用
    回复 2
    • 久夏微凉
      久夏微凉
      2020-11-18
      回退版本了
      2020-11-18
      回复
    • 龙虾狂魔
      龙虾狂魔
      01-12
      新版开发工具强制使用新的编译模块,导致原代码中组件引入路径报错,新的编译模块相对路径起始位置判断更加严格,不会自动纠错了;以前代码是按照开发工具的提示指引添加的路径,使用新版开发工具需要全部改过来
      01-12
      回复
登录 后发表内容
问题标签